summaryrefslogtreecommitdiffstats
path: root/deps/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-01-27 10:44:40 +0100
committer Eric Hameleers <alien@slackware.com>2017-01-27 10:44:40 +0100
commit3a9a6b03fe2e098d803f3db020a884a266f1b059 (patch)
tree991f31425090cbe2d1cf89a0c5a875b0594899cb /deps/qt5/qt5.SlackBuild
parent9acb3d93cc78968adcf962dbdc13c0d0c696df11 (diff)
downloadktown-3a9a6b03fe2e098d803f3db020a884a266f1b059.tar.gz
ktown-3a9a6b03fe2e098d803f3db020a884a266f1b059.tar.xz
deps: support the new and changed requirements for KDE 5_17.01
New: - libdmtx - libwacom - qrencode Upgraded: - PyQt - libinput - qt5 - qt5-webkit - sip
Diffstat (limited to 'deps/qt5/qt5.SlackBuild')
-rwxr-xr-xdeps/qt5/qt5.SlackBuild28
1 files changed, 12 insertions, 16 deletions
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index 089c09e..7326328 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -48,12 +48,13 @@
# Modifications for qt 5.6.0 2016 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.6.1 2016 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.7.0 2016 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.7.1 2017 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5
-VERSION=${VERSION:-5.7.0}
+VERSION=${VERSION:-5.7.1}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -135,24 +136,19 @@ fi
# Fix path to mysql header:
cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
-# Fix UNSIGNED values in QMYSQL:
-cd qtbase
- cat $CWD/patches/qt5.qtbug-53237.patch | patch -p1 --verbose || exit 1
-cd -
+## Don't depend on features that were only added in linux 4.5:
+#cd qtwebengine
+# cat $CWD/patches/qt5.glibc224.patch | patch -p1 --verbose || exit 1
+#cd -
-# Fix freetype engine performance:
+# Don't unload plugins in QPluginLoader (segfault in LXQT):
cd qtbase
- cat $CWD/patches/qt5.qtbug-49452.patch | patch -p1 --verbose || exit 1
+ cat $CWD/patches/qt5.qtbug-49061.patch | patch -p1 --verbose || exit 1
cd -
-# Don't depend on features that were only added in linux 4.5:
-cd qtwebengine
- cat $CWD/patches/qt5.glibc224.patch | patch -p1 --verbose || exit 1
-cd -
-
-# Fix crash on exit when using default property aliases with layouts:
-cd qtdeclarative
- cat $CWD/patches/qt5.qtbug-51927.patch | patch -p1 --verbose || exit 1
+# Fix file chooser segfault on Gnome/Wayland:
+cd qtbase
+ cat $CWD/patches/qt5.qtbug-55583.patch | patch -p1 --verbose || exit 1
cd -
if ! pkg-config --exists libpulse 2>/dev/null ; then